{
  "dependencies": {
    "@typescript-eslint/eslint-plugin": "^8.29.0",
    "@typescript-eslint/parser": "^8.29.0",
    "eslint": "^9.24.0",
    "eslint-config-prettier": "^10.1.1",
    "eslint-plugin-prettier": "^5.2.6",
    "eslint-plugin-vue": "^10.0.0",
    "husky": "^9.1.7",
    "lint-staged": "^15.5.0",
    "prettier": "^3.5.3"
  },
  "lint-staged": {
    "*.{ts,vue}": [
      "eslint --fix",
      "prettier --write"
    ],
    "*.{json,md,less}": [
      "prettier --write"
    ]
  },
  "scripts": {
    "lint": "eslint --ext .ts,.vue src --fix",
    "format": "prettier --write .",
    "prepare": "husky install"
  }
}
